Ticket #28168

MSSP Haruka で詳細読みができない

Open Date: 2012-04-24 22:27 Last Update: 2012-06-17 19:05

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

MSSP Haruka で、「スペル読み機能を使用する」にチェックをすると左右矢印での移動で、文字を読み上げないので、チェックを外している。2012.1j では、これがデフォルト設定。しかし、チェックを外していると詳細読みができない。

  • バージョン:2012.1j
  • 音声エンジン:MSSP Haruka
  • 音声設定:サポートされている場合スペル読み機能を使用する(チェックなし)

以上のように設定した場合に、以下のコマンドが動作しません。(何度か試すと、10回に1回ぐらいは実行する)

  • テンキー2を2回おして、文字の詳細読み
  • テンキー8を3回おして、行の詳細読み

環境:Windows Vista (32bit) Microsoft Office IME 2010

そのほかの環境では、

  • 音声エンジンが、JTalk、SAPI4、SAPI5 の場合は問題なし
  • 環境:Windows 7(64bit) Microsoft IME でも同じ現象
  • NVDA 2011.1.1j3 でも同じ現象

Ticket History (3/7 Histories)

2012-04-24 22:27 Updated by: masakjm
  • New Ticket "MSSP Haruka で詳細読みができない" created
2012-05-28 16:47 Updated by: nishimoto
Comment

この件について 2012.jp にて以下のいずれかを選びたいと思います。

(1)実装は修正せず、日本語版のドキュメントに「MSSP Haruka ではスペル読み機能を有効にしないとこのような不具合があります」と注意書きをする。

(2)Haruka 用の音声ドライバに修正を加えて、スペル読みが強制的に有効になるようにする。

(3)Haruka 用の音声ドライバに修正を加えて、スペル読みのモードと関係なく適切な読み上げができるように独自の文字列処理を行う。

なお、日本語版で独自にスペル読みのデフォルトをOFFにした経緯は、

27714 「SAPI4 ProTalker97 音声に「RMS」が入る」

への対策です。スペル読みのデフォルトを変更する場合は ProTalker への配慮が必要です。

2012-05-29 06:15 Updated by: masakjm
Comment

マーチン@まほろば です。

*「スペル読み機能を使用する」にチェックをするとカーソル左右移動で1文字読みをしない *「スペル読み機能を使用する」にチェックを外すと、詳細文字をしない

つまり、問題にしているのは、1文字読みと詳細文字の両方が使える設定がないということです。

この件は、
 日付:2011年10月12日
 件名:スペル読み機能(Re: [nvda-japanese-users:491] Re: Microsoft Speech Platform の簡単インストーラー)
でも触れられています。

「MSSP Haruka ではスペル読み機能を有効にしてください」という対応でもいいと思いますが、その場合、1文字読みができません。 (4)「スペル読み機能を使用する」にチェックをしても、カーソル左右移動で1文字読みをする修正を加える

も対策のひとつだと思います。

2012-05-29 09:36 Updated by: nishimoto
Comment

いま開発版 jp2012.2 rev 5206 で以下を確認しました。

環境:Windows 7 x64 メモ帳に「日本語」と書かれた状態。キーボードはラップトップ設定。

JTalk2 スペル読み チェックなし

  • カーソル左右:ひ、ほん、かたり、ふっき
  • NVDA+カンマ1回:ほん
  • NVDA+カンマ2回:もとのほん
  • NVDA+カンマ3回:26412 0x672C

JTalk2 スペル読み チェックあり

  • 読み上げ内容はスペル読みOFFと同じ。チケット28517作業により、1文字読みは標準速度で読み上げる。

Microsoft Speech Haruka (nvdajp) スペル読み チェックなし

  • カーソル左右:にち、ほん、ご、ふっき
  • NVDA+カンマ1回:ほん
  • NVDA+カンマ2回:ほん、ほん
  • NVDA+カンマ3回:もとのほん
  • NVDA+カンマ4回:26412...
  • 備考:なぜかカンマ1回分挙動がずれている

Microsoft Speech Haruka (nvdajp) スペル読み チェックあり

  • カーソル左右:(無音)、(無音)、(無音)、ふっき
  • NVDA+カンマ1回:(無音)
  • NVDA+カンマ2回:もとのほん
  • NVDA+カンマ3回:26412
  • 備考:1文字の出力が読み上げできていない

再現できたので調査に取り掛かります。

2012-05-29 10:16 Updated by: nishimoto
Comment

上記コメントの訂正:キーエコーのチケット番号は28157です。

再現実験の補足です。

Speech Platform Haruka (nvdajp) での再現実験は、「言語の自動切換え」が有効か無効かに関わらず結果は同じ。

Microsoft Speech Platform (NVDA本家のドライバ)でも、スペル読みチェックなし、スペル読みチェックありのそれぞれ、Haruka (nvdajp) ドライバと同じ結果。

念のためにバージョン情報

  • Microsoft Server Speech Platform Runtime (x86) 11.0.7400.345
  • Microsoft Server Speech Text to Speech Voice (ja-JP, Haruka) 11.0.7400.335
2012-05-30 12:00 Updated by: nishimoto
Comment

msspeech_tts (Haruka) ドライバに以下の変更を行いました。

  • 表記を Haruka (nvdajp) に短縮。
  • 常に nvdajp_dic の short_desc を使って1文字の出力を事前にカナに変換しておく処理を追加。
  • スペル読み設定に関わらず spell タグをエンジンに送らないように変更。
  • あわせて try 文で行っていた nvdajp_dic の辞書キーチェックを in 演算子に変更。

補足:

  • 音声設定の「スペル読み」が有効の場合は、英数字を _nvdajp_spellchar のテーブルで「聞き取りやすさを考慮したカナ表記」に変換している。この処理は short_desc の処理と合わせて見直すべき。
  • 表記を短縮した理由は、このドライバは Haruka の実装に依存した特別なものであることを明確にするため。
  • NVDA オリジナルの mssp ドライバはこの改変を行わず、Haruka ユーザーは Haruka ドライバを使うように呼びかける。
  • スペル読みチェックなしのときに「1文字読み」コマンドの押した回数と機能の対応が1つずれる問題は、まだ原因不明。

チェンジセットは jp2012.2 rev 5208 です。

2012-06-17 19:05 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2012-06-17 19:05
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Component Update from (None) to 音声合成

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login